MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003051VCMIMechanics - Otherpublic2019-04-24 18:532019-05-02 13:24
ReporterDydzio 
Assigned ToDydzio 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.next 
Target VersionFixed in Version0.next 
Summary0003051: Duplicate hero on map initialization possible to achieve in some cases
DescriptionIt's possible to have two same heroes as starting heroes in some cases and it leads to bugs that eventually may lead to crash/freeze. Tried to reproduce under specific conditions, same as the ones where I found the bug for first time, and it succeeded after few tries. Provided screenshot shows information from "map info" gathered after map loaded.
Steps To ReproducePick hot-seat game, put human players as the last colors, pick map with many total players for easier reproducibility. Pick same town non random heroes for humans (2 players in tested case), same town as humans for AI but random heroes. There is chance that on game start random hero will be same as hero already picked by human.
TagsNo tags attached.
Attached Filespng file icon double.png [^] (406,159 bytes) 2019-04-24 18:53

- Relationships

-  Notes
(0007779)
Dydzio (developer)
2019-04-28 07:22

Fixed in: https://github.com/vcmi/vcmi/pull/580 [^]

- Issue History
Date Modified Username Field Change
2019-04-24 18:53 Dydzio New Issue
2019-04-24 18:53 Dydzio File Added: double.png
2019-04-27 17:22 Dydzio Assigned To => Dydzio
2019-04-27 17:22 Dydzio Status new => assigned
2019-04-28 07:22 Dydzio Note Added: 0007779
2019-05-02 13:24 Dydzio Status assigned => resolved
2019-05-02 13:24 Dydzio Fixed in Version => 0.next
2019-05-02 13:24 Dydzio Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean